Bug 1254198 - openjdk 1.8.0 alternative is changed to 1.7.0 when a 1.8.0 update is applied.
openjdk 1.8.0 alternative is changed to 1.7.0 when a 1.8.0 update is applied.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: java-1.8.0-openjdk (Show other bugs)
6.8
Unspecified Unspecified
urgent Severity high
: rc
: ---
Assigned To: jiri vanek
BaseOS QE - Apps
: ZStream
Depends On: 1251560 1336545
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 08:17 EDT by Jan Kurik
Modified: 2016-05-16 15:37 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1251560
Environment:
Last Closed: 2015-08-18 08:36:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2015-08-17 08:17:48 EDT
This bug has been copied from bug #1251560 and has been proposed
to be backported to 6.7 z-stream (EUS).
Comment 3 jiri vanek 2015-08-17 08:24:50 EDT
Hello, I strongly suggest to NOT backport this bugfix.

The fix delivered via 1254197 should be enough to fyx symptoms of this bug (the global fix ix much deeper and should go to rhel 7.3 )
Comment 4 Jan Kurik 2015-08-17 08:30:51 EDT
Chris, may I ask you please to evaluate the zstream request and close this bug if we do not want to have this delivered via zstream ?
Comment 5 Chris Williams 2015-08-17 10:32:44 EDT
Hello Jiri and Jan,

I tested the latest build from https://bugzilla.redhat.com/show_bug.cgi?id=1217177#c49 with positive results for BZs 1217177 and this BZ.

[root@rhel6 ~]# rpm -q java-1.8.0-openjdk
java-1.8.0-openjdk-1.8.0.51-1.b16.el6_7.x86_64


[root@rhel6 ~]# alternatives --display javajava - status is manual.
 link currently points to /usr/lib/jvm/jre-1.8.0-openjdk.x86_64/bin/java
/usr/lib/jvm/jre-1.8.0-openjdk.x86_64/bin/java - priority 1851

[root@rhel6 ~]# yum localinstall java-1.8.0-openjdk-1.8.0.51-2.b16.el6.x86_64.rpm java-1.8.0-openjdk-headless-1.8.0.51-2.b16.el6.x86_64.rpm
...

[root@rhel6 ~]# rpm -q java-1.8.0-openjdk
java-1.8.0-openjdk-1.8.0.51-2.b16.el6.x86_64


[root@rhel6 ~]# alternatives --display java
java - status is manual.
 link currently points to /usr/lib/jvm/jre-1.8.0-openjdk.x86_64/bin/java
/usr/lib/jvm/jre-1.8.0-openjdk.x86_64/bin/java - priority 1851


I think we can close this z stream clone as it appears the fix will already be included in https://bugzilla.redhat.com/show_bug.cgi?id=1254197
Comment 6 jiri vanek 2015-08-18 08:36:58 EDT
> I think we can close this z stream clone as it appears the fix will already
> be included in https://bugzilla.redhat.com/show_bug.cgi?id=1254197

Fix is not included. It is coincidence that it is no longer visible. (And will not reappear for rhel 6 and any openjdk in case of java/javac links)

But generally, the alternatives mechanism needs to be improved. Especially in rhel 7.

Note You need to log in before you can comment on or make changes to this bug.